Subject: converting Chinese character bitmap fonts into TeX fonts

From: Stephen G Simpson <[email-masked]>
Date: Thu, 15 Apr 93 14:38:10 -0400

Hi everybody,

For some time, I have been thinking about the problem of how to
convert Chinese character bitmap fonts into TeX fonts (TFM and PK
files).  One way to do this was developed a long time ago by Thomas
Ridgeway, as part of his Poor Man's Chinese TeX package.  However,
Ridgeway's method has some disadvantages.  First, it uses Metafont.
Second, it takes about 30 hours of time on a Sparcstation, just to
produce just one Chinese TeX font.

Recently, I found out that Angus Duggan has written a program called
pbmtopk, whose purpose is to convert arbitrary bitmaps into TeX fonts.
Duggan's program was designed to work well with Jeff Poskanzer's
portable bitmap manipulation package, pbmplus.  It seems to me that
Duggan's program is well suited to handle Chinese bitmap fonts.  In
fact, Duggan himself used it for just this purpose, in his guobiao
package, which does not seem to have received much attention.  For
those who are interested, Duggan's ftp site is ftp.dcs.ed.ac.uk,
pub/ajcd.

Yesterday, I wrote a program called et2pk, which uses Duggan's program
to quickly and efficiently convert ET 24x24 bitmap fonts into TeX
fonts.  I recommend this program for personal use only, because the
legal aspects of distributing fonts based on the ET fonts are unclear.
(For those who don't know, ET is a commercially available Chinese
system for MS-DOS.)

One interesting feature of et2pk is that I am basing it on HBF, the
"emerging standard" for Chinese character bitmaps.  I should really
write a general hbf2pk conversion program, but so far I have been too
lazy to do this.

In case anyone here is interested in looking at et2pk, I am making it
available for ftp at math.psu.edu, pub/simpson/chinese.  I am thinking
that something like et2pk can and perhaps will replace the font
conversion part of the Poor Man package.  Comments?

Enjoy!

Stephen G. Simpson
Department of Mathematics, Pennsylvania State University
333 McAllister Building, University Park, State College, PA 16802
Office phone: +1 814 863-0775      Internet: [email-masked]
Home phone: +1 814 238-2274        Bitnet: T20@PSUVM
FAX: +1 814 865-3735